> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/app/components/layout/hidden.md).

# Nascosto

Attivi e disattivi rapidamente e in modo responsive il valore di visibilità dei componenti e altro ancora con le utilità hidden.

## Come funziona

Hidden funziona con un intervallo di breakpoint, ad esempio `xsUp` o `mdDown`, oppure con uno o più breakpoint, ad esempio `-Only 'sm'` o `-Only @('md', 'xl')`. Gli intervalli e i singoli breakpoint possono essere utilizzati contemporaneamente per ottenere un comportamento altamente personalizzato. Gli intervalli includono i breakpoint specificati.

```
innerWidth  |xs      sm       md       lg       xl
            |--------|--------|--------|--------|-------->
width       |   xs   |   sm   |   md   |   lg   |   xl

smUp        |   show | hide
mdDown      |                     hide | show
```

## Up

Utilizzando il parametro `-Up` di un qualsiasi breakpoint, gli *elementi figlio* indicati verranno nascosti *al di sopra o in corrispondenza* del breakpoint.

```
New-UDHidden -Up xl -Content {
    New-UDTypography 'xl'
}
```

## Down

Utilizzando il parametro `-Down` di un qualsiasi breakpoint, gli *elementi figlio* indicati verranno nascosti *al di sotto o in corrispondenza* del breakpoint.

```
New-UDHidden -Down xs -Content {
    New-UDTypography 'xs'
}
```

## Only

Utilizzando il parametro `-Only` del breakpoint, gli *elementi figlio* indicati verranno nascosti *in corrispondenza* del o dei breakpoint specificati.

Il parametro `-Only` può essere utilizzato in due modi:

* indicando un singolo breakpoint
* indicando un array di breakpoint

```
New-UDHidden -Only 'sm' -Content {
    New-UDTypography 'sm'
}
New-UDHidden -Only @('sm', 'xl') -Content {
    New-UDTypography 'sm,xl'
}
```

## API

* [New-UDHidden](/powershell-universal/it/comandi-powershell/new-udhidden.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/app/components/layout/hidden.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
